/* your styles go here */

/* Helpers*/
	/* Widths */
		.w-2 {
			width: 2%!important;
		}
		.w-40 {
			width: 40%!important;
		}
	/* End Widths */
	.language-active {
		box-shadow: 0px 0px 6px 2px #8e81f1;
	}
/* End Helpers*/

/* SWITCHER */

	.swither {
		position: relative;
		background-color: rgba(102,102,102,0.70);
		width: 35px;
		height: 10px;
		border-radius: 10px!important;
		opacity: .6;
	}

	.swither:before {
		content: "";
		background-color: #666;
		width: 20px;
		height: 20px;
		border-radius: 50%;
		position: absolute;
		left: 0;
		top: -5px;
		opacity: 1;
		transition: all 300ms ease-out;
	}
	.swither-enabled {
		position: relative;
		background-color: rgba(121,106,238,0.70);
		width: 35px;
		height: 10px;
		border-radius: 10px!important;
		opacity: .6;
	}

	.swither-enabled:before {
		content: "";
		background-color: rgba(121,106,238,1.00);
		width: 20px;
		height: 20px;
		border-radius: 50%;
		position: absolute;
		left: calc(100% - 20px);
		top: -5px;
		opacity: 1;

		transition: all 300ms ease-out;
	}

/* END SWITHER */

/* Loader */
	.loader-window {
		position: absolute;
		left: 0;
		top: 0;
		z-index: 999;
		width: 100%;
		height: 100%;
		background-color: #FFF;
	}
	.loader {
	  color: #000;
	  font-size: 10px;
	  margin: auto;
	  width: 1em;
	  height: 1em;
	  border-radius: 50%;
	  position: absolute;
	  text-indent: -9999em;
	  -webkit-animation: load4 1.3s infinite linear;
	  animation: load4 1.3s infinite linear;
	  -webkit-transform: translateZ(0) translateX(-50%) translateX(-50%);
	  -ms-transform: translateZ(0) translateX(-50%) translateX(-50%);
	  transform: translateZ(0) translateX(-50%) translateX(-50%);
		left:50%;
		top:50%;
	}
	@-webkit-keyframes load4 {
	  0%,
	  100% {
		box-shadow: 0 -3em 0 0.2em, 2em -2em 0 0em, 3em 0 0 -1em, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 -1em, -3em 0 0 -1em, -2em -2em 0 0;
	  }
	  12.5% {
		box-shadow: 0 -3em 0 0, 2em -2em 0 0.2em, 3em 0 0 0, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 -1em, -3em 0 0 -1em, -2em -2em 0 -1em;
	  }
	  25% {
		box-shadow: 0 -3em 0 -0.5em, 2em -2em 0 0, 3em 0 0 0.2em, 2em 2em 0 0, 0 3em 0 -1em, -2em 2em 0 -1em, -3em 0 0 -1em, -2em -2em 0 -1em;
	  }
	  37.5% {
		box-shadow: 0 -3em 0 -1em, 2em -2em 0 -1em, 3em 0em 0 0, 2em 2em 0 0.2em, 0 3em 0 0em, -2em 2em 0 -1em, -3em 0em 0 -1em, -2em -2em 0 -1em;
	  }
	  50% {
		box-shadow: 0 -3em 0 -1em, 2em -2em 0 -1em, 3em 0 0 -1em, 2em 2em 0 0em, 0 3em 0 0.2em, -2em 2em 0 0, -3em 0em 0 -1em, -2em -2em 0 -1em;
	  }
	  62.5% {
		box-shadow: 0 -3em 0 -1em, 2em -2em 0 -1em, 3em 0 0 -1em, 2em 2em 0 -1em, 0 3em 0 0, -2em 2em 0 0.2em, -3em 0 0 0, -2em -2em 0 -1em;
	  }
	  75% {
		box-shadow: 0em -3em 0 -1em, 2em -2em 0 -1em, 3em 0em 0 -1em, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 0, -3em 0em 0 0.2em, -2em -2em 0 0;
	  }
	  87.5% {
		box-shadow: 0em -3em 0 0, 2em -2em 0 -1em, 3em 0 0 -1em, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 0, -3em 0em 0 0, -2em -2em 0 0.2em;
	  }
	}
	@keyframes load4 {
	  0%,
	  100% {
		box-shadow: 0 -3em 0 0.2em, 2em -2em 0 0em, 3em 0 0 -1em, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 -1em, -3em 0 0 -1em, -2em -2em 0 0;
	  }
	  12.5% {
		box-shadow: 0 -3em 0 0, 2em -2em 0 0.2em, 3em 0 0 0, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 -1em, -3em 0 0 -1em, -2em -2em 0 -1em;
	  }
	  25% {
		box-shadow: 0 -3em 0 -0.5em, 2em -2em 0 0, 3em 0 0 0.2em, 2em 2em 0 0, 0 3em 0 -1em, -2em 2em 0 -1em, -3em 0 0 -1em, -2em -2em 0 -1em;
	  }
	  37.5% {
		box-shadow: 0 -3em 0 -1em, 2em -2em 0 -1em, 3em 0em 0 0, 2em 2em 0 0.2em, 0 3em 0 0em, -2em 2em 0 -1em, -3em 0em 0 -1em, -2em -2em 0 -1em;
	  }
	  50% {
		box-shadow: 0 -3em 0 -1em, 2em -2em 0 -1em, 3em 0 0 -1em, 2em 2em 0 0em, 0 3em 0 0.2em, -2em 2em 0 0, -3em 0em 0 -1em, -2em -2em 0 -1em;
	  }
	  62.5% {
		box-shadow: 0 -3em 0 -1em, 2em -2em 0 -1em, 3em 0 0 -1em, 2em 2em 0 -1em, 0 3em 0 0, -2em 2em 0 0.2em, -3em 0 0 0, -2em -2em 0 -1em;
	  }
	  75% {
		box-shadow: 0em -3em 0 -1em, 2em -2em 0 -1em, 3em 0em 0 -1em, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 0, -3em 0em 0 0.2em, -2em -2em 0 0;
	  }
	  87.5% {
		box-shadow: 0em -3em 0 0, 2em -2em 0 -1em, 3em 0 0 -1em, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 0, -3em 0em 0 0, -2em -2em 0 0.2em;
	  }
	}
/* End Loader */

/* General */
	/* Alerts */
		#errorShow {
			position: fixed;
			z-index: 9999;
			right: 2em;
			bottom: 0.1em;
		}
	/* End Alerts */
	/* Card */
		.card-header {
			padding: 1rem 1.25rem;
			background-color: #796AEE;
			border-bottom: 1px solid #796AEE;
			color: #FFF;
		}
	/* End Card */
/* End General */

/* Header */
	/* Messages */
		.messages-notifications li.active a {
			background-color: #eef5f9;
		}
	/* End Messages */
/* End Header */

/* Forms */
	/* Upload */
		.row.upload-form .upload-area {
			border: 2px dashed lightgray;
			border-radius: 3px;
			margin: 10px 0 0 0;
			text-align: center;
			overflow: auto;
    		padding: 30px 0px;
		}

		.row.upload-form .upload-area:hover {
			border: 2px dashed #6c757d;
			cursor: pointer;
		}
		
		.row.upload-form .upload-area p {
			text-align: center;
			font-weight: bold;
			font-family: sans-serif;
			color: lightgrey;
			margin: 0;
			text-transform: uppercase;
		}

		.row.upload-form .upload-area:hover,
		.row.upload-form .upload-area:hover p {
			color: #6c757d;
		}

		.row.upload-form #file{
			display: none;
		}

		/* Thumbnail */
		.row.upload-form  .thumbnail{
			width: 80px;
			height: 80px;
			padding: 2px;
			border: 2px solid lightgray;
			border-radius: 3px;
			float: left;
			margin: 5px;
		}

		.row.upload-form  .size{
			font-size:12px;
		}
	/* End Upload */
/* End Forms */

/* Sections */
	/* General */
		.general-section {
			background-color:#FFF;
    		padding: 20px 0;
		}
		.general-section .container-fluid {
			padding: 0 15px;
		}
		
		.general-section .list-group .list-group-item {
			position: relative;
			display: block;
			padding: .40rem 1.25rem;
			margin-bottom: -1px;
			background-color: #fff;
			border: 2px solid rgba(0,0,0,.125);
		}
		.general-section .list-group .list-group-item:first-child,
		.general-section .list-group .list-group-item.active {
			border-top-left-radius: 0;
			border-top-right-radius: 0;
			background-color: #f6f6f6;
			color:#000;
		}
		.general-section .list-group .list-group-item:last-child {
			border-top-left-radius: 0;
			border-top-right-radius: 0;
		}
		.general-section .list-group .list-group-item:hover {
			background-color: #f6f6f6;
		}
		.general-section .list-group .list-group-item .btn-link {
			background-color: transparent;
			border:none;
		}
		.general-section a .btn, 
		.general-section a form .btn, 
		.general-section .card .card-body .btn-link, 
		.general-section .card .card-body form .btn {
			padding: 0.03em 0.05em;
		}

		.general-section a .form-control {
			padding: 0 0.5em;
		}
	/* End General */
/* End Sections */

/* Pages */
	/* Images */
		.image-item.active {
			border:1px solid #666;
		}
	/* End Images */
	/* Photo Editor */
		.photo-editor-content {
			margin-top: 70px;
		}
	/* End Photo Editor */
	/* Photo Editor */
		.images-container .i-checks, 
		.images-container .edit-image-button {
			display: inline-block;
			width: 20px;
			text-align: center;
			position: absolute;
			right: 5px;
		}
		.images-container .edit-image-button {
			top:30px;
			right: 4px;
			font-family: "FontAwesome";
		}
		.images-container .image-edit-toggler:before {
			content: "\f040";
			position: absolute;
			top: 50%;
			left: 50%;
    		height: 22px;
			transform: translateX(-50%) translateY(-50%);
			font-size: 14px;
		}
		.images-container .edit-image-button .image-edit-toggler {
			padding: 0;
			margin: 0;
			width: 18px;
			height: 18px;
		}
		.images-container .i-checks .checkbox-template:before {
			box-shadow: 0px 0px 2px #000;
		}
	/* End Photo Editor */
/* End Pages */

/* Modals */
	/* Resource Modal */
		#pickResource .modal-body .content-body {
			max-height: 400px;
			overflow-y: auto;
			overflow-x: hidden;
		}
		#pickResource .modal-body .content-body .row {
			margin-bottom: 20px;
		}
		#pickResource .modal-body .content-body .row .folder-item:hover, 
		#pickResource .modal-body .content-body .row .image-item:hover, 
		#pickResource .modal-body .content-body .row .video-item:hover, 
		#pickResource .modal-body .content-body .row .folder-item.active, 
		#pickResource .modal-body .content-body .row .image-item.active, 
		#pickResource .modal-body .content-body .row .video-item.active {
			background-color: #f6f6f6;
		}
	/* End Resource Modal */
	/* Gallery Resource */
		#galleryResource .modal-body {
			max-height: 400px;
			overflow-y: auto;
			overflow-x: hidden;
		}
	/* End Gallery Resource */
/* End Modals */

/* bootstrap Ovveride */
	/* Form Control */
		.form-control {
			border: 0px solid transparent;
			border-bottom: 1px solid #dee2e6;
			border-radius: 0;
			padding: 0.375rem 0.75rem;
		}
		.form-control:focus {
			color: #495057;
			background-color: #fff;
			border-bottom: 1px solid #796AEE;
			outline: none;
			-webkit-box-shadow: unset;
			box-shadow: unset;
		}
	/* End Form Control */
/* End Bootstrap Ovveride */